layers(3).
width(0,9).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
in_layer(0,n9).
width(1,9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
in_layer(1,n17).
in_layer(1,n18).
width(2,9).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
in_layer(2,n25).
in_layer(2,n26).
in_layer(2,n27).
edge(n16,n26).
edge(n2,n18).
edge(n15,n22).
edge(n11,n27).
edge(n8,n16).
edge(n14,n19).
edge(n18,n24).
edge(n7,n12).
edge(n6,n11).
edge(n1,n15).
edge(n11,n21).
edge(n12,n23).
edge(n2,n15).
edge(n7,n15).
edge(n6,n12).
edge(n12,n26).
edge(n11,n22).
edge(n3,n13).
edge(n13,n21).
edge(n2,n13).
edge(n5,n14).
edge(n1,n16).
edge(n4,n17).
edge(n18,n22).
edge(n4,n15).
edge(n2,n14).
edge(n17,n23).
edge(n16,n23).
edge(n17,n21).
edge(n13,n26).
edge(n16,n25).
edge(n13,n23).
